
Infrastructure - Bug #2510

Pid ending with '\' corrupts ldap search in ReserveIdentifierService

2012-03-21 02:57 - Robert Waltz

Status: Closed Start date: 2012-03-21

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_identity_manager Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

testMNodeTier3:20126792434893_common-unicode-ascii-escaped-tomcatBlocked-\ causes the following exception:

ReserveIdentifierService:lookupDN:466

javax.naming.directory.InvalidSearchFilterException: Unbalanced parenthesis; remaining name 'dc=dataone,dc=org'

offending code:

String searchCriteria = "(&(objectClass=d1Reservation)(identifier=" + pid.getValue() + "))";

History

#1 - 2012-03-21 04:10 - Robert Waltz

see http://tools.ietf.org/html/rfc2254 section 4

#2 - 2012-03-23 10:37 - Robert Waltz

- Status changed from New to In Progress

#3 - 2012-03-26 06:07 - Robert Waltz

- Status changed from In Progress to Closed
